#
# spec file for package python-rope
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-rope
Version:        0.10.2
Release:        7.2
Summary:        A python refactoring library
License:        GPL-2.0+
Group:          Development/Languages/Python
Url:            https://github.com/python-rope/rope
Source:         http://pypi.python.org/packages/source/r/rope/rope-%{version}.tar.gz
Patch0:         CVE-2014-3539-disable-doa.patch
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
Rope is a python refactoring library.

%prep
%setup -q -n rope-%{version}
%patch0 -p1

%build
python2 setup.py build

%install
python2 setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/%{python_sitlib}/python-rope/ropetest/

%files
%defattr(-,root,root,-)
%doc COPYING README.rst docs/
%{python_sitelib}/

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Wed Feb 18 2015 jmatejek@suse.com
- update to version 0.10.2
  * new maintainer revives project
  * accumulated bugfixes
  * better test coverage and all tests pass
- disable dynamic object analysis by default, as it is a security risk
  (CVE-2014-3539-disable-doa.patch, CVE-2014-3539, boo#916890)
* Wed Jun  6 2012 saschpe@suse.de
- Update to version 0.9.4:
  + Upstream provides no changelog
* Tue Jan 31 2012 saschpe@suse.de
- Spec file cleanup
* Mon Dec  5 2011 toddrme2178@gmail.com
- Cleaned up spec file formatting
* Tue Jan 25 2011 saschpe@suse.de
- Update to version 0.9.3
- Added COPYING to documentation
- Recompressed tarbal with bzip2
* Wed Aug  5 2009 hpj@urpla.net
- Initial creation of package python-rope-0.9.2
